Subject: Re: linux-next: Tree for Sep 19 (x86/kernel/cpuinfo.c)

From: Greg Kroah-Hartman <[email-masked]>
Date: Tue, 26 Sep 2017 10:18:41 +0200

On Tue, Sep 26, 2017 at 09:40:00AM +0200, Thomas Gleixner wrote:
> On Mon, 25 Sep 2017, Randy Dunlap wrote:
> > On 09/19/17 08:54, Randy Dunlap wrote:
> > > On 09/18/17 21:15, Stephen Rothwell wrote:
> > >> Hi all,
> > >>
> > >> Changes since 20170918:
> > >>
> > >> Linus' tree still had its build failure for which I reverted a commit.
> > >>
> > > 
> > > on i386:
> > > 
> > > ../arch/x86/kernel/cpuinfo.c: In function 'cpuinfo_flags':
> 
> Where does this file come from? Random driver code added to arch/x86? This
> was neither acked nor reviewed by any x86 maintainer and just slapped into
> arch/x86/kernel/ without spending a split second of brain to find the spot
> where it actually belongs. It's not rocket science to figure that out.

It is arch specific, cpu specific to be specific :)

Where would you have this file go instead?

And these patches were posted many times, Felix, you did cc: the arch
maintainers, right?  I don't have access to my archives at the moment...

And this isn't in Linus's tree, just linux-next for now, I don't see
what Linus's tree has to to with this report, but my coffee hasn't
kicked in yet.

thanks,

greg k-h